rspec 3.1.x in rawhide

Vít Ondruch vondruch at redhat.com
Mon Nov 10 14:32:44 UTC 2014


Dne 10.11.2014 v 14:59 Mamoru TASAKA napsal(a):
> Hello, all
>
> After a long delay I finally pushed rspec 3.1.x into rawhide
> (F-22) build tree. Also I pushed rubygem-rspec2 (and so on)
> into rawhide tree.

Thank you for the great work (and Josef for reviews)!

>
> So:
> - If your srpm already handles rspec 3.1.x, please use
>   BuildRequires: rubygem(rspec)
> - Or not, you can use BuildRequires(rspec2). Note that
>   2.x version rspec (script) is renamed to %_bindir/rspec2,
>   you'll probably have to do
>   $ rspec2 spec/
>   for example.

I assume you can use also:

Requires: rubygem(rspec) < 3

to get RSpec 2.x. I'm asking because that is how minitest is done ....

>
> Please try and test them.

BTW, what is the reason for

Source1:	rubygem-%{gem_name}-%{version}-full.tar.gz


Vít


More information about the ruby-sig mailing list